import 'package:flutter/material.dart';

class ChartsLoadingWidget extends StatelessWidget {
  const ChartsLoadingWidget({
    required this.isLoading,
    super.key,
  });

  final bool isLoading;

  @override
  Widget build(BuildContext context) {
    return Visibility(
      visible: isLoading,
      child: const SizedBox.square(
        dimension: 16,
        child: FittedBox(
          child: Padding(
            padding: EdgeInsetsDirectional.only(end: 8),
            child: CircularProgressIndicator(),
          ),
        ),
      ),
    );
  }
}
